<div class="rx-settings-documentation">

    <div class="rx-settings-row">
        
        <div class="rx-admin-block rx-admin-block-docs">
            
            <header class="rx-admin-block-header">
                <div class="rx-admin-block-header-icon">
                    <img src="<?php echo esc_url(assets('admin/images/icons/icon-documentation.svg')); ?>" alt="<?php esc_attr_e( 'ReviewX documentation', 'reviewx' );?>">
                </div>
                <h4 class="rx-admin-title"><?php esc_html_e( 'Documentation', 'reviewx' ); ?></h4>
            </header>
            
            <div class="rx-admin-block-content">
                <p><?php esc_html_e('Get started by spending some time with the documentation to get familiar with reviewx. Build awesome websites for you or your clients with ease.', 'reviewx' );?></p>
                <a rel="nofollow" href="<?php echo esc_url( 'https://reviewx.io/docs/' ); ?>" class="rx-button" target="_blank"><?php esc_html_e( 'Documentation', 'reviewx' ); ?></a>
            </div>

        </div>

        <div class="rx-admin-block rx-admin-block-contribute">
            
            <header class="rx-admin-block-header">
                <div class="rx-admin-block-header-icon">
                    <img src="<?php echo esc_url(assets('admin/images/icons/icon-contribute.svg')); ?>" alt="<?php esc_attr_e( 'ReviewX Contribute', 'reviewx' );?>">
                </div>
                <h4 class="rx-admin-title"><?php esc_html_e( 'Report Bug or Ask New Feature', 'reviewx' ); ?></h4>
            </header>

            <div class="rx-admin-block-content">
                <p><?php echo sprintf( '%1$s <a target="_blank" rel="nofollow" href="%2$s">Github</a>.', __( 'You can contribute to make ReviewX better reporting bugs, creating issues and request for a new feature at', 'reviewx' ), esc_url('https://reviewx.io/go/contribute') ); ?></p>
                <a rel="nofollow" href="<?php echo esc_url( 'https://reviewx.io/go/contribute' ); ?>" class="rx-button" target="_blank"><?php esc_html_e( 'Report a bug', 'reviewx' ); ?></a>
            </div>

        </div>

        <div class="rx-admin-block rx-admin-block-need-help">
            
            <header class="rx-admin-block-header">
                <div class="rx-admin-block-header-icon">
                    <img src="<?php echo esc_url(assets('admin/images/icons/icon-need-help.svg')); ?>" alt="<?php esc_attr_e( 'ReviewX Help', 'reviewx' );?>">
                </div>
                <h4 class="rx-admin-title"><?php esc_html_e( 'Need Help?', 'reviewx' ); ?></h4>
            </header>
            
            <div class="rx-admin-block-content">
                <p><?php esc_html_e('Stuck with something? Get help from live chat or support ticket.', 'reviewx' ); ?></p>
                <a rel="nofollow" href="<?php echo esc_url( 'https://reviewx.io/support/' ); ?>" class="rx-button" target="_blank"><?php esc_html_e( 'Contact Us', 'reviewx' ); ?></a>
            </div>

        </div>

        <div class="rx-admin-block rx-admin-block-community">
            
            <header class="rx-admin-block-header">
                <div class="rx-admin-block-header-icon">
                    <img src="<?php echo esc_url(assets('admin/images/icons/icon-show-love.svg')); ?>" alt="<?php esc_attr_e( 'ReviewX Commuinity', 'reviewx');?>">
                </div>
                <h4 class="rx-admin-title"><?php esc_html_e( 'Show Your Love', 'reviewx' ); ?></h4>
            </header>

            <div class="rx-admin-block-content">
                <p><?php esc_html_e( 'We love to have you in reviewx family. We are making it more awesome everyday. Take your 2 minutes to review the plugin and spread the love to encourage us to keep it going.', 'reviewx' ); ?></p>
                <a rel="nofollow" href="<?php echo esc_url( 'https://reviewx.io/review-plugin' ); ?>" class="rx-button" target="_blank"><?php esc_html_e( 'Leave a Review', 'reviewx' ); ?></a>
            </div>

        </div>

    </div>
    
</div>
